[tox]
toxworkdir = {env:TMPDIR:/tmp}/tox-{env:USER}/minimal-django/
skipsdist = True

[testenv]
setenv =
  DJANGO_SETTINGS_MODULE=app
whitelist_externals =
  uwsgi-core
deps =
  django
commands =
  ./install-uwsgi.sh
  uwsgi-core -T -M --plugin python3 --http-socket :{env:PORT:3001} --wsgi-file app.py --mule=mule.py
